#define LED_PIN_OPEN 8
#define LED_PIN_BLOCK 7
#define SWITCH_PIN 2


volatile bool bIsOpen = false;
void setup() {
  attachInterrupt(digitalPinToInterrupt( SWITCH_PIN ), click, RISING );
  pinMode( LED_PIN_OPEN, OUTPUT );
  pinMode( LED_PIN_BLOCK, OUTPUT );
  pinMode( SWITCH_PIN, INPUT );
  digitalWrite( LED_PIN_OPEN, HIGH );
  digitalWrite( LED_PIN_BLOCK, LOW );
  Serial.begin(9600);
}

void loop() {
  Serial.println(bIsOpen);
  if( bIsOpen ) {
    digitalWrite( LED_PIN_BLOCK, HIGH );
    digitalWrite( LED_PIN_OPEN, LOW );
  }
  else
  {
    digitalWrite( LED_PIN_BLOCK, LOW );
    digitalWrite( LED_PIN_OPEN, HIGH );
  }
}

void click() {
    Serial.println("Click");
    bIsOpen = !bIsOpen;
}
